Bug 1028923 - xstream: xstream-hibernate.jar should be in separate subpackage
xstream: xstream-hibernate.jar should be in separate subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xstream (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 03:50 EST by Stanislav Ochotnicky
Modified: 2014-05-07 02:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: xstream-1.4.7-4.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-07 02:01:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-11-11 03:50:20 EST
xstream hibernate support pulls in a lot of dependencies, one of them being being of course hibernate itself. xstream itself is used without hibernate support in other projects and causes unnecessary dependencies to be installed.

Please move xstream-hibernate into separate subpackage. Possibly do the same for benchmark, but that's less pressing. Ideally this would be changed in F20 as well IMO

Version-Release number of selected component (if applicable):
xstream-1.4.5-3.fc21
Comment 1 Fedora Admin XMLRPC Client 2013-12-10 01:36:32 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Michal Srb 2014-05-07 02:01:36 EDT
Fixed by Michael in xstream-1.4.7-4.fc21, closing.

Note You need to log in before you can comment on or make changes to this bug.